Name:          apache-fop
Version:       2.10
Release:       1mamba
Summary:       Apache Formatting Objects Processor
Group:         System/Libraries/Java
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://xmlgraphics.apache.org/fop/
Source0:       https://ftp-stud.hs-esslingen.de/pub/Mirrors/ftp.apache.org/dist/xmlgraphics/fop/source/fop-%{version}-src.tar.gz
Source1:       fop.conf
License:       Apache Software License 2.0
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: javapackages
BuildRequires: java-openjdk8
BuildRequires: apache-ant
Requires:      xmlgraphics-commons
Requires:      jakarta-commons-io
Requires:      jakarta-commons-logging
Requires:      apache-batik

%description
Apache FOP is the world's first print formatter driven by XSL formatting objects (XSL-FO) and the world's first output independent formatter. It is a Java application that reads a formatting object (FO) tree and renders the resulting pages to a specified output.  Output formats currently supported include PDF, PCL, PS, AFP, TIFF, PNG, SVG, XML (area tree representation), Print, AWT and TXT. The primary output target is PDF.

%prep
%setup -q -n fop-%{version}

%build
export LC_ALL=en_US.UTF-8
export JAVA_HOME=%{_jvmdir}/java-8
ant -f fop/build.xml package

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -D -m0644 fop/build/fop.jar %{buildroot}%{_javadir}/fop-%{version}.jar
ln -s fop-%{version}.jar %{buildroot}%{_javadir}/fop.jar

install -D -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/fop.conf
install -D -m0755 fop/fop %{buildroot}%{_bindir}/fop

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%config %{_sysconfdir}/fop.conf
%{_bindir}/fop
%{_javadir}/fop-%{version}.jar
%{_javadir}/fop.jar

%changelog
* Thu Oct 10 2024 Automatic Build System <autodist@openmamba.org> 2.10-1mamba
- automatic version update by autodist

* Tue Aug 22 2023 Automatic Build System <autodist@mambasoft.it> 2.9-1mamba
- automatic version update by autodist

* Thu Nov 10 2022 Automatic Build System <autodist@mambasoft.it> 2.8-1mamba
- automatic version update by autodist

* Fri Jan 21 2022 Automatic Build System <autodist@mambasoft.it> 2.7-1mamba
- automatic version update by autodist

* Sun Apr 11 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6-1mamba
- update to 2.6

* Thu Mar 24 2011 gil <puntogil@libero.it> 0.95-7mamba
- rebuilt with java-openjdk support

* Tue Nov 09 2010 gil <puntogil@libero.it> 0.95-6mamba
- rebuilt devel
- added sun jai support

* Mon Aug 30 2010 gil <puntogil@libero.it> 0.95-5mamba
- added offo hyphenation support

* Fri Nov 20 2009 gil <puntogil@libero.it> 0.95-4mamba
- added OSGi manifests

* Fri Nov 20 2009 gil <puntogil@libero.it> 0.95-3mamba
- added maven support

* Thu Nov 19 2009 gil <puntogil@libero.it> 0.95-2mamba
- added xmlunit support

* Wed Mar 04 2009 gil <puntogil@libero.it> 0.95-1mamba
- package created by autospec
